View Issue Details

IDProjectCategoryView StatusLast Update
0004702unrealircdpublic2016-06-23 20:20
ReporterJobe1986Assigned Tosyzop 
PrioritylowSeveritytrivialReproducibilityalways
Status resolvedResolutionfixed 
PlatformN/AOSN/AOS VersionN/A
Product Version4.0.3.1 
Target VersionFixed in Version4.0.4 
Summary0004702: Pre-Registration VERSION Duplicate Replies (005 AND 105)
DescriptionSimple issue, when a client issues a VERSION command prior to registering as a user or server the server responds first with numeric 005 replies, then the numeric 351 with the version string and then again with the numeric 105 replies which are essentially duplicates of numeric 005.

Example:
:irc2.unrealircd.org 005 CMDS=USERIP,STARTTLS,KNOCK,DCCALLOW,MAP UHNAMES NAMESX SAFELIST HCN MAXCHANNELS=10 CHANLIMIT=#:10 MAXLIST=b:60,e:60,I:60 MAXNICKLEN=30 NICKLEN=30 CHANNELLEN=32 TOPICLEN=307 KICKLEN=307 :are supported by this server
:irc2.unrealircd.org 005 AWAYLEN=307 MAXTARGETS=20 WALLCHOPS WATCH=128 WATCHOPTS=A SILENCE=15 MODES=12 CHANTYPES=# PREFIX=(qaohv)~&@%+ CHANMODES=beI,kLf,l,psmntirzMQNRTOVKDdGPZSCc NETWORK=Unreal CASEMAPPING=ascii EXTBAN=~,SOcaRrnqj :are supported by this server
:irc2.unrealircd.org 005 ELIST=MNUCT STATUSMSG=~&@%+ EXCEPTS INVEX :are supported by this server
:irc2.unrealircd.org 351 UnrealIRCd-4.0.3.1. irc2.unrealircd.org :Fhin6OoEM3 [*=4000]
:irc2.unrealircd.org 105 CMDS=USERIP,STARTTLS,KNOCK,DCCALLOW,MAP UHNAMES NAMESX SAFELIST HCN MAXCHANNELS=10 CHANLIMIT=#:10 MAXLIST=b:60,e:60,I:60 MAXNICKLEN=30 NICKLEN=30 CHANNELLEN=32 TOPICLEN=307 KICKLEN=307 :are supported by this server
:irc2.unrealircd.org 105 AWAYLEN=307 MAXTARGETS=20 WALLCHOPS WATCH=128 WATCHOPTS=A SILENCE=15 MODES=12 CHANTYPES=# PREFIX=(qaohv)~&@%+ CHANMODES=beI,kLf,l,psmntirzMQNRTOVKDdGPZSCc NETWORK=Unreal CASEMAPPING=ascii EXTBAN=~,SOcaRrnqj :are supported by this server
:irc2.unrealircd.org 105 ELIST=MNUCT STATUSMSG=~&@%+ EXCEPTS INVEX :are supported by this server
Steps To Reproduce1) telnet <irchost> <ircport>
2) VERSION
TagsNo tags attached.
3rd party modules

Activities

dboyz

2016-06-22 17:37

reporter   ~0019335

I suspect this is the culprit
https://github.com/unrealircd/unrealircd/blob/unreal40/src/s_serv.c#L180-L181

syzop

2016-06-23 20:13

administrator   ~0019336

I thought I could blame nenolod, but apparently it's Travis fault ;)

https://github.com/unrealircd/unrealircd/commit/3b98eac4a9b4e6861e188f054c3419310b8531da#diff-edbe68bd7cb4cf1bb9c64ebbebe26044L180

Issue History

Date Modified Username Field Change
2016-06-14 19:00 Jobe1986 New Issue
2016-06-22 17:37 dboyz Note Added: 0019335
2016-06-23 20:13 syzop Note Added: 0019336
2016-06-23 20:19 syzop Status new => resolved
2016-06-23 20:19 syzop Fixed in Version => 4.0.4
2016-06-23 20:19 syzop Resolution open => fixed
2016-06-23 20:19 syzop Assigned To => syzop